
Figure - Bug #113456
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试8小时，出现CRASH: com.android.settings（1）
2022-11-01 14:20 - CD Test赵飞

Status: CLOSED Start date: 2022-11-01

Priority: Normal Due date: 2022-11-08

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210290232

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-11-11

Test Type: Monkey Test Root cause: 编码问题

Description

执行命令：

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts  --ignore-security-exceptions  --monitor-native-crashes  --ignore-native-crashes -s  20  --throttle 200 

--pct-touch  30  --pct-motion  15  --pct-nav  15  --pct-majornav  15  --pct-syskeys  5  --pct-appswitch  5  --pct-anyevent  5  --ignore-crashes   -v -v -v

180000 2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

10-28 06:03:19.075  7020  7020 E AndroidRuntime: FATAL EXCEPTION: main

10-28 06:03:19.075  7020  7020 E AndroidRuntime: Process: com.android.settings, PID: 7020

10-28 06:03:19.075  7020  7020 E AndroidRuntime: java.lang.IllegalStateException: Can not perform this action after onSaveInstanceState

10-28 06:03:19.075  7020  7020 E AndroidRuntime:     at androidx.fragment.app.FragmentManager.checkStateLoss(FragmentManager.java:1864)

10-28 06:03:19.075  7020  7020 E AndroidRuntime:     at

androidx.fragment.app.FragmentManager.enqueueAction(FragmentManager.java:1904)

10-28 06:03:19.075  7020  7020 E AndroidRuntime:     at androidx.fragment.app.FragmentManager.popBackStack(FragmentManager.java:729)

10-28 06:03:19.075  7020  7020 E AndroidRuntime:     at

com.android.settings.homepage.SettingsHomepageActivity.lambda$changeSettingsDetailsFragment$5(SettingsHomepageActivity.java:395)

10-28 06:03:19.075  7020  7020 E AndroidRuntime:     at

com.android.settings.homepage.SettingsHomepageActivity.$r8$lambda$ovL0LP5AA5-Z3MZSBVit2VRFalA(Unknown Source:0)

10-28 06:03:19.075  7020  7020 E AndroidRuntime:     at

com.android.settings.homepage.SettingsHomepageActivity$$ExternalSyntheticLambda3.run(Unknown Source:10)

10-28 06:03:19.075  7020  7020 E AndroidRuntime:     at android.os.Handler.handleCallback(Handler.java:938)

10-28 06:03:19.075  7020  7020 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:99)

10-28 06:03:19.075  7020  7020 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

10-28 06:03:19.075  7020  7020 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

10-28 06:03:19.075  7020  7020 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

10-28 06:03:19.075  7020  7020 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

10-28 06:03:19.075  7020  7020 E AndroidRuntime:     at

com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

10-28 06:03:19.075  7020  7020 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

History
#1 - 2022-11-01 16:02 - CD Test赵飞

- Test Type changed from ST to Monkey Test

#2 - 2022-11-02 10:14 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD AF-陈羽杰

#3 - 2022-11-03 09:50 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 编码问题

■ Current conclusion

本地修复待验证

■ My analysis

内存吃紧的时候，actvity在 saveinstancestate的期间调用了fragment的commit，导致状态丢失

■ Next action 

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159706

#4 - 2022-11-07 11:32 - CD Test赵飞

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CD Test赵飞 to CD AF-陈羽杰

- % Done changed from 100 to 40

11月4号DB版本跑Monkey 60小时，此问题复现156次

共有4台设备执行Monkey（2台debug版本 + 2台user版本）

问题在3台设备中共复现156次，其他设备中未复现此问题

日志见Bug #113470 附件

#5 - 2022-11-10 19:27 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 40 to 100

.current status

本地已修复

.my analysis

由于handler 内存泄漏，以及对生命周期管理不合理，导致压力测试crash

.submit url

https://120.133.72.237/gerrit/c/general/platform/packages/apps/Settings/+/161647

#6 - 2022-11-10 19:33 - CD FW 曹覃刚

- Assignee changed from CD AF-陈羽杰 to CD Test赵飞

- Fixed Version set to 2022-11-11
#7 - 2022-11-14 11:29 - CD Test赵飞

- % Done changed from 100 to 70

11月11号DB版本未复现此问题

Monkey问题，继续跟踪2个版本

#8 - 2022-11-16 10:42 - CD Test赵飞

11月15号Release版本未复现此问题

Monkey问题，继续跟踪1个版本

#9 - 2022-11-17 10:23 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 70 to 80

11月16号DB版本未复现此问题

已跟踪3个版本未复现，关闭此问题

#10 - 2022-11-17 10:24 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

#11 - 2022-12-22 20:48 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159706 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix Monkey Test issue1.Fix fragment popBack state lossTC-RID: 1201-0201813IssueID: TS-R-BUG-113456Change-Id:

I38b8aba71939a1e9832e79710be1402c35e485aa

#12 - 2022-12-22 20:51 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

161647 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix Monkey Test Issue1.Fix Memory leak caused by handlerTC-RID: 1201-0201813IssueID: TS-R-BUG-113456 TS-R-BUG-113460

TS-R-BUG-113474 TS-R-BUG-113470Change-Id: I1c8acc474904d9bb4235ccbd84592bf66eb51761
Files

Monkey_logcat_20221031.zip 47.4 MB 2022-11-01 CD Test赵飞
